Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_CapEntry Class Reference

This class is the base class for all ACE Capabilities entry subclasses. More...

`#include <Capabilities.h>`

Inheritance diagram for ACE_CapEntry:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_CapEntry (void)
## Protected Types
enum | { ACE_INTCAP = 0, ACE_STRINGCAP = 1, ACE_BOOLCAP = 2 }
## Protected Member Functions
| ACE_CapEntry (int captype)
## Protected Attributes
int | captype_

## Detailed Description

This class is the base class for all ACE Capabilities entry subclasses.

This class is not instantiable and does not provide accessors or methods. If you want to add a new kind of attribute subclass this class and dynamic_cast to proper subclass.

## Member Enumeration Documentation

anonymous enum`[protected]`

  | Enumeration values:
  ACE_INTCAP |
  ACE_STRINGCAP |
  ACE_BOOLCAP |

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_CapEntry::~ACE_CapEntry | ( | void |  | ) | `[virtual]`

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_CapEntry::ACE_CapEntry | ( | int | captype | ) | `[protected]`

## Member Data Documentation

int ACE_CapEntry::captype_`[protected]`

The documentation for this class was generated from the following files:

- Capabilities.h
- Capabilities.cpp
- Capabilities.inl